{ config, pkgs, lib, ... }:
{

  environment.systemPackages = with pkgs; [
    ddclient
  ];

  # Dynamic DNS configuration
  services.ddclient = {
    enable = true;
    quiet = true;
    protocol = "duckdns";
    domains = [ "coolneng.duckdns.org" ];
    password = "7eebec3b-945a-4ab5-a6d4-e3a8e2eee4eb";
  };

  # Firewall configuration
  networking.firewall = {
    allowedTCPPorts = [
      631 # Cups
      6566 # SANE
      80
      443
    ];
    autoLoadConntrackHelpers = true;
    connectionTrackingModules = [ "sane" ];
  };

}

